{ lib, config, pkgs, ... }:
with lib;
let
  cfg = config.modules.hardware.lact;
in
{
  options.modules.hardware.lact = {
    enable = mkEnableOption "Install LACT daemon";

  };
  config = mkIf cfg.enable {

    # Enable Lact (testing purpose for now)
    environment.systemPackages = with pkgs; [
      lact
    ];

    systemd.services.lact = {
      description = "AMDGPU Control Daemon";
      after = ["multi-user.target"];
      wantedBy = ["multi-user.target"];
      serviceConfig = {
        ExecStart = "${pkgs.lact}/bin/lact daemon";
      };
      enable = true;
    };
  };
}
